Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.text
Class ConcreteTextLayoutFactory

    java.lang.Object
      org.apache.batik.gvt.text.ConcreteTextLayoutFactory

All Implemented Interfaces:
  TextLayoutFactory

    public class ConcreteTextLayoutFactory

extends Object
implements TextLayoutFactory

Factory instance that returns TextSpanLayouts appropriate to AttributedCharacterIterator instances.

See Also:
  `TextSpanLayout`

Constructor Summary
`ConcreteTextLayoutFactory()`

Method Summary
`TextSpanLayout` | `createTextLayout(AttributedCharacterIterator aci, int[] charMap, Point2D offset, FontRenderContext frc)` Returns an instance of TextSpanLayout suitable for rendering the AttributedCharacterIterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcreteTextLayoutFactory

    public ConcreteTextLayoutFactory()

Method Detail

### createTextLayout

    public TextSpanLayout createTextLayout(AttributedCharacterIterator aci,
                                           int[] charMap,
                                           Point2D offset,
                                           FontRenderContext frc)

  Returns an instance of TextSpanLayout suitable for rendering the AttributedCharacterIterator.

  Specified by:
    `createTextLayout` in interface `TextLayoutFactory`
  Parameters:
    `aci` - The character iterator to be laid out
    `charMap` - Indicates how chars in aci map to original text char array.
    `offset` - The offset position for the text layout.
    `frc` - The font render context to use when creating the text layout.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.